QGIS Application - Feature request #9086
Field calculater doesn't automaticly detect result datatype and precision
2013-11-19 03:56 AM - Noone Noone

Status: Open

Priority: Normal

Assignee:

Category: Attribute table

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17731
Description

Currently the calculator asks the user to fill in the expected result. As this is on the very top and the user might be to enthusiastic to do his
computation, he might forget about it. Also he might choose the wrong precision/length (where how they correlate is still unclear as not
explained).

More strange: The output text will show him that everything is fine. Also the attribute table will show his values as they don't reread it from
the datastore, but obviously get updated directly by the field calculator (this is a serious bug IMHO)

Steps to reproduce:

- Add a vectorlayer

- Go editmode

- Open Field calculator

- Know your precision and length and adjust it

- Do your computation

- See how the result values get updated at the attribute table

- Close and reopen attribute table

- See that now the values might be something completely different :(

Suggested improvements:

- Move the output related widgets below the result preview label and ideally group them in a frame (This follows the
input-processing-output paradigm and the user might be after he deals with his personal computation formular more relaxed to think
about that)

- Detect the type of all results and choose that type with the minimum loose of precision. (avoid that the user counts length etc. wrong,
esp. for double types)

- Warn the user about how many results will be cutted, if the alters the precision/length (maybe it's acceptable for him if only 1..2 values
are affected)

- Update attribute table by real datastore or make sure that the submitted results are in sync with the datastore

History

#1 - 2014-03-25 07:27 AM - Anita Graser
- Category set to Attribute table

#2 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No
